#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
# Barcerlona Supercomputing Center - Centro Nacional de Supercomputacion
#        Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: Ivan Jose Cernicharo Ortiz (ivan.cernicharo@bsc.es)
#             -
#             -
#

import sys
import logging
import os
import subprocess

# Check grid description, 1 degree or whatelse

class spatial_consistency_test:

    def __init__(self,type,files):
        self.type = type
        self.files = files

    def main(self):
        if self.type != None:

            if self.type == "CF":
                netcdf_test(self.files)

            if self.type == 'grib':
                grib_test(self.files)

        else:
            sys.exit()

if __name__ == "__main__":
    sys.exit()
